Bug 1018687 - Case "realmode" in kvm unit test gets stuck on RHEL6.5 host
Case "realmode" in kvm unit test gets stuck on RHEL6.5 host
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 03:53 EDT by Shaolong Hu
Modified: 2014-01-08 07:34 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 03:53:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaolong Hu 2013-10-14 03:53:23 EDT
Description of problem:
--------------------------
I recently run kvm unit test (using run_tests.sh with default unittests.cfg) with upstream qemu on latest RHEL6.5 host, there are 3 cases get stuck, 2 cases fail.

I am not sure whether this is a kvm bug, or kvm unit test problem, or i run kvm unit test wrong, i only modify run_test.sh and x86_run script a little bit to separate log file for each case, and i use upstream qemu for i was told in RHEL6 testdev device in our internal version may not guarantee to work, so feel free to change the component or close if this is notabug.

BTW, the "-display none" command does not exists, i have to remove it from script or it shows all cases pass but don't run them at all.


Version-Release number of selected component (if applicable):
--------------------------------------------------------------
kernel 2.6.32-421.el6.x86_64
qemu: latest upstream
kvm unit test: latest upstream

host:

vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9500  @ 2.83GHz




This bug is to track the "realmode" case, which gets stuck, i have to kill the qemu process, log:

qemu-system-x86_64 -enable-kvm -device testdev,chardev=testlog -chardev file,id=testlog,path=msr.out -serial stdio -kernel x86/realmode.flat -smp 1
VNC server running on `::1:5900'
PASS: null
PASS: shld
PASS: push/pop 1
PASS: push/pop 2
PASS: push/pop 3
PASS: push/pop 4
PASS: push/pop 5
PASS: push/pop 6
PASS: push/pop with high bits set in %esp
PASS: pusha/popa 1
PASS: pusha/popa 1
PASS: mov 1
PASS: mov 2
PASS: mov 3
PASS: mov 4
PASS: mov 5
PASS: cmp 1
PASS: cmp 2
PASS: cmp 3
PASS: add 1
PASS: add 2
PASS: sub 1
PASS: sub 2
PASS: sub 3
PASS: sub 4
PASS: xor 1
PASS: xor 2
PASS: xor 3
PASS: xor 4
PASS: pio 1
PASS: pio 2
PASS: pio 3
PASS: pio 4
PASS: pio 5
PASS: pio 6
PASS: clc 
PASS: stc 
PASS: cli 
PASS: sti 
PASS: cld 
PASS: std 
PASS: jnz short 1
PASS: jnz short 2
PASS: jmp short 1
PASS: jnz near 1
PASS: jnz near 2
PASS: jmp near 1
PASS: call 1
PASS: call near 1
PASS: call near 2
PASS: call far 1
PASS: call far 2
PASS: ret imm 1
PASS: retf imm 1
PASS: jmp far 1
PASS: xchg 1
PASS: xchg 2
PASS: xchg 3
PASS: xchg 4
PASS: xchg 5
PASS: xchg 6
PASS: xchg 7
PASS: xchg 8
PASS: iret 1
PASS: iret 2
PASS: iret 3
PASS: iret 4
PASS: int 1
PASS: imul 1
PASS: imul 2
PASS: imul 3
PASS: imul 4
PASS: imul 5
PASS: imul 6
PASS: mul 1
PASS: mul 2
PASS: mul 3
PASS: div 1
PASS: div 2
PASS: div 3
PASS: idiv 1
PASS: idiv 2
PASS: idiv 3
PASS: LOOPcc short 1
PASS: LOOPcc short 2
PASS: LOOPcc short 3
PASS: cbq 1
PASS: cwde 1
PASS: cwd 1
PASS: cwd 2
PASS: cdq 1
PASS: cdq 2
PASS: DAS
PASS: lds
PASS: les
PASS: lfs
PASS: lgs
PASS: lss
PASS: jcxz short 1
PASS: jcxz short 2
PASS: jcxz short 3
PASS: jecxz short 1
PASS: jecxz short 2
PASS: cpuid
PASS: ss relative addressing (1)
PASS: ss relative addressing (2)
FAIL: sgdt
FAIL: sidt
PASS: lahf
PASS: movsx
PASS: movzx
PASS: movsx ah
PASS: movzx ah
PASS: bswap
PASS: aad
PASS: aam
PASS: xlat
PASS: salc (1)
PASS: salc (2)
PASS: fninit
PASS: nopl
Return value from qemu: 137
Comment 2 Gleb Natapov 2013-10-15 03:53:39 EDT
Same case as with emulator test. sgdt and sidt are not implemented in rhel6

Note You need to log in before you can comment on or make changes to this bug.